1

With babel 3.42 all works fine. After update babel don’t compile with lualatex (but compiles with xelatex)

\documentclass{article}
\usepackage{xgreek}
\usepackage{unicode-math}
\begin{document}
aaa
\end{document}

Error

luahyphenrules.sty error line 106 Undefined control sequence. Repeat

8
  • 3
    why are you using xgreek instead of directly babel? Commented Aug 19, 2020 at 18:11
  • 2
    That probably happened when a few things in the bits of babel that are loaded into the LaTeX kernel were cleaned up. Report this to the maintainer of luahyphenrules (who is incidentally also the maintainer of babel).
    – moewe
    Commented Aug 19, 2020 at 18:41
  • @Ulrike Fischer I don't know anything about babel.
    – polyn
    Commented Aug 19, 2020 at 18:59
  • which sounds a bit odd regarding the title of your question. Why don't you check the documentation? Commented Aug 19, 2020 at 19:00
  • @Ulrike Fischer I updated the packages one by one and the problem arose when babel was updated.
    – polyn
    Commented Aug 19, 2020 at 19:09

1 Answer 1

1

Thanks to the update of luahyphenrules by Javier Bezos the problem was solved. Thank you Javier Bezos!

P.S.

In the meantime I followed Ulrike Fischer's suggestion and I replaced the command

\usepackage{xgreek}

by

\usepackage{fontspec}
\usepackage[english,greek]{babel}

and it worked wonderfully. Thank you Ulrike Fischer!

You must log in to answer this question.

Not the answer you're looking for? Browse other questions tagged .